rsnapshot-diff(1)

NAME
rsnapshot-diff - a utility for comparing the disk usage of two snapshots taken by rsnapshot

SYNOPSIS
rsnapshot-diff [-h|vVi] dir1 dir2

DESCRIPTION
rsnapshot-diff is a companion utility for rsnapshot, which traverses two parallel directory structures and calculates the difference between them. By default it is silent apart from displaying summary information at the end, but it can be made more verbose.

In the summary, "added" files may very well include files which at first glance also appear at the same place in the older directory structure. However, because the files differ in some respect, they are different files. They have a different inode number. Consequently if you use -v most of its output may appear to be pairs of files with the same name being removed and added.

OPTIONS

-h (help)
    Displays help information

-H (human)
    Display more human-friendly numbers - as well as showing the number of bytes changed, also show MB and GB.

-i (ignore)
    If verbosity is turned on, -i suppresses information about symlinks, directories, and special files.

-s (show size)
    Show the size of each changed file after the + or - sign. To sort the files by decreasing size, use this option and run the output through "sort -k 2 -rn".

-v (verbose)
    Be verbose. This will spit out a list of all changes as they are encountered, apart from symlink, as well as the summary at the end.

-V (more verbose)
    Be more verbose - as well as listing changed files, unchanged files and symlinks will be listed too.

dir1 and dir2
    These are the only compulsory parameters, and should be the names of two directories to compare. Their order doesn't matter, rsnapshot-diff will always compare the younger to the older, so files that appear only in the older will be reported as having been removed, and files that appear only in the younger will be reported as having been added.

SEE ALSO
rsnapshot

BUGS
Please report bugs (and other comments) to the rsnapshot-discuss mailing list:

<http://lists.sourceforge.net/lists/listinfo/rsnapshot-discuss>

AUTHOR
David Cantrell <david@cantrell.org.uk>

COPYRIGHT
Copyright 2005-2010 David Cantrell

LICENCE
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA